m0_46573836
小 谢
采纳率50%
2021-03-01 21:02

出现了一个问题,求助。

报错信息如下:

[ERROR] Failed to execute goal org.apache.maven.plugins:maven-war-plugin:3.2.2:exploded (default-cli) on project servlet01: Failed to copy file for artifact [org.apache.tomcat:tomcat-api:jar:9.0.43:compile]: D:\Java\ideaworkplace\javaweb复习\servlet01\target\servlet\WEB-INF\lib\tomcat-api-9.0.43.jar: 另一个程序正在使用此文件,进程无法访问。 -> [Help 1]

maven 内容

<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <groupId>org.example</groupId>
    <artifactId>servlet01</artifactId>
    <version>1.0-SNAPSHOT</version>
    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    </properties>
    <packaging>war</packaging>

    <dependencies>
        <dependency>
            <groupId>org.apache.tomcat</groupId>
            <artifactId>tomcat-api</artifactId>
            <version>9.0.43</version>
        </dependency>
        <!-- https://mvnrepository.com/artifact/org.apache.tomcat/servlet-api -->
        <dependency>
            <groupId>org.apache.tomcat</groupId>
            <artifactId>servlet-api</artifactId>
            <version>6.0.35</version>
        </dependency>

        <!-- servlet依赖 -->
        <dependency>
            <groupId>javax.servlet.jsp</groupId>
            <artifactId>jsp-api</artifactId>
            <version>2.2</version>
        </dependency>

        <!-- jsp依赖 -->
        <dependency>
            <groupId>javax.servlet.jsp</groupId>
            <artifactId>javax.servlet.jsp-api</artifactId>
            <version>2.3.3</version>
        </dependency>

        <!-- standard标签库 -->
        <dependency>
            <groupId>taglibs</groupId>
            <artifactId>standard</artifactId>
            <version>1.1.2</version>
        </dependency>

    </dependencies>
    <build>
        <finalName>servlet</finalName>
            <plugins>
                <plugin>
                    <artifactId>maven-clean-plugin</artifactId>
                    <version>3.1.0</version>
                </plugin>
                <!-- see http://maven.apache.org/ref/current/maven-core/default-bindings.html#Plugin_bindings_for_war_packaging -->
                <plugin>
                    <artifactId>maven-resources-plugin</artifactId>
                    <version>3.0.2</version>
                </plugin>
                <plugin>
                    <artifactId>maven-compiler-plugin</artifactId>
                    <version>3.8.0</version>
                </plugin>
                <plugin>
                    <artifactId>maven-surefire-plugin</artifactId>
                    <version>2.22.1</version>
                </plugin>
                <plugin>
                    <artifactId>maven-war-plugin</artifactId>
                    <version>3.2.2</version>
                </plugin>
                <plugin>
                    <artifactId>maven-install-plugin</artifactId>
                    <version>2.5.2</version>
                </plugin>
                <plugin>
                    <artifactId>maven-deploy-plugin</artifactId>
                    <version>2.8.2</version>
                </plugin>
            </plugins>

    </build>
</project>
  • 点赞
  • 写回答
  • 关注问题
  • 收藏
  • 复制链接分享
  • 邀请回答

5条回答

  • m0_46573836 小 谢 1月前

    好的,谢谢各位了

    点赞 评论 复制链接分享
  • m0_38061885 冷麻花的主人 1月前

    那个jar打开了,关掉jar重试。

    点赞 评论 复制链接分享
  • xionglangs 编程爱好者熊浪 1月前
    点赞 评论 复制链接分享
  • huanhuilong 幻灰龙 1月前

    看下任务管理器,这个进程是否已经启动了:“另一个程序正在使用此文件,进程无法访问” 

    杀掉已经启动的进程。

    点赞 评论 复制链接分享
  • vbhfdghff hweiyu00 1月前

    重启下电脑试试

    点赞 评论 复制链接分享